<?php

/**
 * Project: 
 * Contenido Content Management System
 * 
 * Description: 
 * Upload meta data item and item collection.
 * NOTE:
 * This file doesn't belongs to official Contenido core, is just a addon to eliminate usage of manual
 * generated sql statements in modules...
 * 
 * Requirements: 
 * @con_php_req 5.0
 * 
 *
 * @package    Contenido Backend classes
 * @version    0.1
 * @author     Murat Purc
 * @copyright  four for business AG <www.4fb.de>
 * @license    http://www.contenido.org/license/LIZENZ.txt
 * @link       http://www.4fb.de
 * @link       http://www.contenido.org
 * 
 * {@internal 
 *   created 2008-09-27, Murat Purc
 *   $Id$
 * }}
 * 
 */

if(!defined('CON_FRAMEWORK')) {
	die('Illegal call');
}

cInclude('classes', 'class.dbfs.php');


class UploadMetaCollection extends ItemCollection
{
	/**
     * Constructor function
     */
	function UploadMetaCollection ()
	{
		global $cfg;
		parent::ItemCollection($cfg["tab"]["upl_meta"], "id_uplmeta");
	}

	function create ($idupl, $idlang, $medianame, $description, $keywords, $internal_notice)
	{
		global $auth;

		$item = parent::create();

		$item->set("idupl", $idupl, false);
		$item->set("idlang", $idlang, false);
		$item->set("medianame", $medianame, false);
		$item->set("description", $description, false);
		$item->set("keywords", $keywords, false);
		$item->set("internal_notice", $internal_notice, false);
		$item->set("author", $auth->auth["uid"]);
		$item->set("created", date("Y-m-d H:i:s"),false);
		$item->store();

		$item->update();

		return ($item);	
	}

	function loadItem ($itemID)
	{
		$item = new UploadMeta();
		$item->loadByPrimaryKey($itemID);
		return ($item);
	}

	function delete ($id)
	{
		return parent::delete($id);
	}
}


class UploadMeta extends Item
{

	/**
     * Constructor function
     */
	function UploadMeta ()
	{
		global $cfg;
		parent::Item($cfg["tab"]["upl_meta"], "id_uplmeta");
	}


	function store ()
	{
		global $auth;
        $this->set("modified", date("Y-m-d H:i:s"),false);
		$this->set("modifiedby", $auth->auth["uid"]);
		parent::store();	
	}

}

